Debian Bug report logs - #658917
fvwm: Uses perl4 corelibs without Depends

version graph

Package: fvwm; Maintainer for fvwm is Vincent W. Chen <vinmun@gmail.com>; Source for fvwm is src:fvwm.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 19:27:05 UTC

Severity: normal

Tags: patch

Found in version fvwm/1:2.5.30.ds-1

Fixed in version fvwm/1:2.5.30.ds-1.1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658917; Package fvwm. (Mon, 06 Feb 2012 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 06 Feb 2012 19:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: fvwm: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 19:25:42 +0000
Package: fvwm
Version: 1:2.5.30.ds-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

Your package fvwm currently uses one or more deprecated perl 4 era
packages, as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/perl-module-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658917; Package fvwm. (Sun, 18 Mar 2012 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 18 Mar 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 658917@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658917; Package fvwm. (Sat, 05 May 2012 21:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sat, 05 May 2012 21:51:10 GMT) Full text and rfc822 format available.

Message #15 received at 658917@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org
Subject: fvwm: diff for NMU version 1:2.5.30.ds-1.1
Date: Sat, 5 May 2012 22:48:33 +0100
[Message part 1 (text/plain, inline)]
tags 658917 + patch
tags 658917 + pending
thanks

Dear maintainer,

I've prepared an NMU for fvwm (versioned as 1:2.5.30.ds-1.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[fvwm-2.5.30.ds-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 05 May 2012 21:51:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 05 May 2012 21:51:12 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Tue, 15 May 2012 22:36:05 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 15 May 2012 22:36:05 GMT) Full text and rfc822 format available.

Message #24 received at 658917-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917-close@bugs.debian.org
Subject: Bug#658917: fixed in fvwm 1:2.5.30.ds-1.1
Date: Tue, 15 May 2012 22:32:48 +0000
Source: fvwm
Source-Version: 1:2.5.30.ds-1.1

We believe that the bug you reported is fixed in the latest version of
fvwm, which is due to be installed in the Debian FTP archive:

fvwm_2.5.30.ds-1.1.diff.gz
  to main/f/fvwm/fvwm_2.5.30.ds-1.1.diff.gz
fvwm_2.5.30.ds-1.1.dsc
  to main/f/fvwm/fvwm_2.5.30.ds-1.1.dsc
fvwm_2.5.30.ds-1.1_i386.deb
  to main/f/fvwm/fvwm_2.5.30.ds-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658917@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated fvwm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 May 2012 22:19:11 +0100
Source: fvwm
Binary: fvwm
Architecture: source i386
Version: 1:2.5.30.ds-1.1
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 fvwm       - F(?) Virtual Window Manager
Closes: 658917
Changes: 
 fvwm (1:2.5.30.ds-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #658917)
Checksums-Sha1: 
 6c247e7852b635dd8f41fb590784a0b65a89355d 1626 fvwm_2.5.30.ds-1.1.dsc
 c970264a5bffe93de45b0967140b46d865e9567f 320556 fvwm_2.5.30.ds-1.1.diff.gz
 18d23a32811ce18dc150394c25a971a89262fd79 4072320 fvwm_2.5.30.ds-1.1_i386.deb
Checksums-Sha256: 
 eaf934bb813beb8f5252c34ff24be578850c14e2ca7aa4868fb943e51df7400a 1626 fvwm_2.5.30.ds-1.1.dsc
 20a42ce2b43b98e00e233028e105e2eb0fb570e7246a7efac1ea32c8fdb2d77f 320556 fvwm_2.5.30.ds-1.1.diff.gz
 b42dd117cf735d45dc62c5ee5781a285f47e06dfe12c2d893f46ef55e48ce21d 4072320 fvwm_2.5.30.ds-1.1_i386.deb
Files: 
 9e96151751a6d7779cf6908900c920c9 1626 x11 optional fvwm_2.5.30.ds-1.1.dsc
 ea2937f3eaa27a99b3c5cdfa049dd658 320556 x11 optional fvwm_2.5.30.ds-1.1.diff.gz
 1b9ad761bd3958fcd77a1f4675af4683 4072320 x11 optional fvwm_2.5.30.ds-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPpZ1iYzuFKFF44qURAqoPAKCNm9jiY1ItORZjgiCHN3WCCxCxnwCg8c6E
OtjqNJ8psjJoBu7w4BhbysQ=
=jq5J
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:26:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:19:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.